File: requirements.txt

package info (click to toggle)
glare 0.5.0-4
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 1,664 kB
  • sloc: python: 15,645; sh: 237; makefile: 59
file content (57 lines) | stat: -rw-r--r-- 1,632 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.7.1 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=4.6.0 # Apache-2.0
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.context!=2.19.1,>=2.14.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=3.28.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
keystoneauth1>=3.2.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
python-memcached>=1.56 # PSF
WSME>=0.8.0 # MIT
PyJWT>=1.0.1 # MIT
cryptography!=2.0,>=1.9 # BSD/Apache-2.0

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonpatch>=1.16 # BSD
jsonschema<3.0.0,>=2.6.0 # MIT
pyOpenSSL>=16.2.0 # Apache-2.0
# Required by openstack.common libraries
six>=1.9.0 # MIT

oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.versionedobjects>=1.28.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=0.22.0 # Apache-2.0

# Artifact repository
microversion-parse>=0.1.2 # Apache-2.0
semantic-version>=2.3.1 # BSD

# timeutils
iso8601>=0.1.11 # MIT
monotonic>=0.6 # Apache-2.0